# About
This is a ([Cytoscape Web](http://cytoscapeweb.cytoscape.org/) based) protoype of simple network data visualization tool that will be utilized as part of [CTD^2 Data Portal](http://ctd2.nci.nih.gov/DataMatrix/CTD2_DataMatrix.html) web page. The main goal is to utilize web-based libraries to make SIF-like network data immediately accesible to users -- without the need for installing any third-party desktop applications -- through _CTD^2 Data Portal_ in a browser-enabled way.

The semi-official source code repository for this project can be found at [https://bitbucket.org/armish/ctd2_sif_visualizer](https://bitbucket.org/armish/ctd2_sif_visualizer) and a demo of this tool can be reached at [http://cbio.mskcc.org/~arman/ctd2/](http://cbio.mskcc.org/~arman/ctd2/).

![Demo](https://lh4.googleusercontent.com/-ftplFAuYrFs/UJKEDMttlCI/AAAAAAAAEOQ/RJwADNX4wVk/w769-h577-p-k/Screen%2BShot%2B2012-11-01%2Bat%2B10.14.31%2BAM.png)

For further details, please refer to:

* [CTD^2 web site](http://ctd2.nci.nih.gov/) for information on the overall goals
* [Emory University](http://www.pharm.emory.edu/hfu/index.html) for inqueries on the sample data provided here
* [MSKCC cBio](http://cbio.mskcc.org/) for questions/feedback on the prototype.

# How to install
You can either download an archived version of this tool from [https://bitbucket.org/armish/ctd2_sif_visualizer/downloads](https://bitbucket.org/armish/ctd2_sif_visualizer/downloads) or check-out the latest code from the Mercurial repository:

	hg clone https://bitbucket.org/armish/ctd2_sif_visualizer

# How to use
## (Preferred) via an HTTPD server
Once you have the folder contatining the relevant files, it is enough to copy this folder to the corresponding HTTPD folder. For example, for Apache Tomcat servers, the default way to do this would be:

	sudo cp -r ctd2_sif_visualizer $TOMCAT_HOME/webapps/ROOT/

and after you copied the files, you should be able to see it on your browser by browsing the following URL (might change based on configuration):

	http://localhost/ctd2_sif_visualizer/

## via browsing local files
Alternatively, you can navigate into the folder containing the files and open the `index.html` with your favourite browser (such as [Google Chrome](http://www.mozilla.org/)) -- either by double-clicking on the file or right-clicking on the file and then using the `Open with` contenxt menu option. For some of the browsers, Cytoscape Web may not be loaded due some security options. If you see an empty network view on the right panel, please follow the guidelines found on the [CytoscapeWeb Getting Started](http://cytoscapeweb.cytoscape.org/tutorial#section/Getting_started) site in order to fix the problem.

# License
This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses.

# Powered by

* [Twitter Bootstrap](http://twitter.github.com/bootstrap/)
* [jQuery](http://jquery.com/)
* [CytoscapeWeb](http://cytoscapeweb.cytoscape.org/)
